#ifndef COLOUR_HEADER_INCLUDED
#define COLOUR_HEADER_INCLUDED

// provides CARD32
#include "xlib.h"
#include <string>

namespace Visibility {

class Colour {
	public:
		Colour(std::string colour); // expects #fcfcfc or 0xfcfcfc or fcfcfc
		Colour(CARD32 colour, unsigned char bits_per_pixel = 24);

		// a 32 bit argb value with a always ff
		CARD32 pixel_value(unsigned char bits_per_pixel = 24);

	protected:
		double red, green, blue;
};

}

#endif
