#ifndef DRAWABLE_HEADER_INCLUDED
#define DRAWABLE_HEADER_INCLUDED

#include "xlib.h"
//#include "Server.h"
#include <string>
#include <X11/Xft/Xft.h>
#include "Font.h"

namespace Visibility {

class Drawable {
	public:
		Drawable() {draw = 0;};
		~Drawable();

		bool put_image(XImage * image, unsigned src_x, unsigned src_y,
			unsigned dest_x, unsigned dest_y, unsigned width, unsigned height);
		bool copy_area(Drawable& src, unsigned src_x, unsigned src_y,
			unsigned dest_x, unsigned dest_y, unsigned width, unsigned height);

		bool fill_rectangle(CARD32 colour, unsigned x, unsigned y,
			unsigned width, unsigned height);
		void draw_text(CARD32 colour, Font * font, std::string text,
			unsigned x, unsigned y);
		void get_geometry(int &x, int &y, unsigned &width, unsigned &height);

		::Drawable drawable;
		XftDraw * draw;
};

}

#endif
