#include "Pixmap.h"
#include "Server.h"

namespace Visibility {

Pixmap::Pixmap(::Drawable d, unsigned width, unsigned height) {
	Server * server = Server::instance();
	drawable = XCreatePixmap(server->display, d, width, height,
		server->depth);
	self_made = true;
}

Pixmap::~Pixmap() {
	Server * server = Server::instance();
	if (self_made) XFreePixmap(server->display, drawable);
}

}
