#ifndef PIXMAP_HEADER_INCLUDED
#define PIXMAP_HEADER_INCLUDED

#include "Drawable.h"

namespace Visibility {

class Pixmap : public Drawable {
	public:
		Pixmap(::Drawable d, unsigned width, unsigned height);
		Pixmap(::Pixmap pixmap) {
			drawable = pixmap;
			self_made = false;
		}

		~Pixmap();
	protected:
		// whether or not the pixmap was created by this class
		bool self_made;
};

}

#endif
