#include "Window.h"

namespace Visibility {

	class Tooltip {
	public:
		Tooltip(std::string text_ = "");
		~Tooltip();

		void set_text(std::string text_);
		void move(unsigned x, unsigned y); // smart enough not to go offscreen
		void map(void);
		void unmap(void);
		inline unsigned get_width(void) {
			return width;
		}
		static unsigned height;

	protected:
		unsigned width;
		std::string text; // is it necessary to store this?
		std::tr1::shared_ptr<Window> window;
	};

}
